﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Globalization;

namespace mobilestore
{
    public partial class frmmoshtari : Form
    {
        public frmmoshtari()
        {
            InitializeComponent();
        }

        private void frmmoshtari_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'databaseDataSet.tbl_moshtari' table. You can move, or remove it, as needed.
            this.tbl_moshtariTableAdapter.Fill(this.databaseDataSet.tbl_moshtari);
            txtcode.Text = tbl_moshtariTableAdapter.getmaxcode().ToString();
            PersianCalendar pc = new PersianCalendar();
            DateTime dt = DateTime.Now;

            string y, m, d;
            y = pc.GetYear(dt).ToString();
            m = pc.GetMonth(dt).ToString();
            d = pc.GetDayOfMonth(dt).ToString();


            label12.Text = y + "/" + m + "/" + d.ToString();
        }

        private void buttonX3_Click(object sender, EventArgs e)
        {
            if (txtcode.Text=="")
            {
                MessageBox.Show("لطفا کد مشتری را وارد نمایید.");
            }

            if (txtlname.Text == "")
            {
                MessageBox.Show("لطفا نام مشتری را وارد نمایید.");
            }

            if (txtmobile.Text == "")
            {
                MessageBox.Show("لطفا موبایل مشتری را وارد نمایید.");
            }

            if (txtname.Text == "")
            {
                txtname.Text = "-";
            }
            if (txtsubject.Text == "")
            {
                txtsubject.Text = "-";
            }

            if (txtaddress.Text == "")
            {
                txtaddress.Text = "-";
            }
            if (txttell.Text == "")
            {
                txttell.Text = "-";
            }


            tbl_moshtariTableAdapter.InsertQuery(txtcode.Text, txtname.Text, txtlname.Text, txtmobile.Text, txtaddress.Text, 1, txtsubject.Text,0,0);
            MessageBox.Show("مشتری ثبت شد");
            tbl_moshtariTableAdapter.Fill(databaseDataSet.tbl_moshtari);
            txtcode.Text = tbl_moshtariTableAdapter.getmaxcode().ToString();
            txtlname.Clear();
            txtaddress.Clear();
            txtname.Clear();
            txtsubject.Clear();
            txttell.Clear();
            txtname.Focus();
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        private void dataGridViewX1_DoubleClick(object sender, EventArgs e)
        {
            this.Hide();
            new frmfaktor_forush((dataGridViewX1.Rows[0].Cells[0].Value).ToString()).ShowDialog();
        }

        private void dataGridViewX1_UserDeletedRow(object sender, DataGridViewRowEventArgs e)
        {
            if (MessageBox.Show("آیا مایل به حذف می باشید؟", "توجه", MessageBoxButtons.YesNo) == DialogResult.Yes)
                tbl_moshtariTableAdapter.DeleteQuery(dataGridViewX1.SelectedRows[0].Cells[0].Value.ToString());
        }
    }
}
